Bug 57960 - Nautilus is very slow when smb:// browsing large SMB Domains
Nautilus is very slow when smb:// browsing large SMB Domains
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-vfs-extras (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 09:50 EST by Malcolm
Modified: 2007-04-18 12:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:13:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Malcolm 2002-01-03 09:50:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
Nautilus is slow and sometimes hangs when carrying out an SMB 'Network
Neighbourhood' browse on a large network.  Starting from the initial smb://
in Nautilus it picks up the domains, but attempts to browse servers on the
domain (there are > 900) are very slow (> 10 minutes to show a complete list). 

There does seem to be any reported messages or resource problems
I've used gnomba-0.6.2-4 from 7.1 Powertools which is able to browse ok and
in an acceptable time.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start Nautilus
2.Enter smb://
3.Choose Domain (in this case, one with 900+ items in browse list)
4. System will hangs or be very slow
	

Actual Results:  Nautilus hung

Expected Results:  Complete browse list provided, with navigation onto
individual shares on specifc servers

Additional info:
Comment 1 Alexander Larsson 2002-01-07 11:34:22 EST
I'm workin on a rewrite of the smb support that is a lot faster. It's not quite
done yet though.

Hopefully it will partly fix this issue, but the problem might be that nautilus
tries to recurse into all subdirs, which is very slow when each directory is a
separate smb server.
Comment 2 Alexander Larsson 2002-04-02 11:41:22 EST
Can you try 0.2.0-1 in RAWHIDE. It should be a lot faster, but may still recurse
into the subdirs.
Comment 3 Alexander Larsson 2003-02-17 05:40:49 EST
I expect gnome-vfs2-extras 0.99.10 (in rawhide) to be very fast when browsing
this domain. Reopen this bug if its not.
Comment 4 Leonard den Ottolander 2004-03-09 11:06:17 EST
Has this been fixed with an update to 0.99.10?
Comment 5 Forrest 2004-03-15 17:32:22 EST
It definitely works faster in Fedora Core 1 than in Red Hat Linux 7.2
for me.
Comment 6 Leonard den Ottolander 2004-03-15 18:11:58 EST
Malcolm, can this bug be closed CURRENTRELEASE?
Comment 7 Bill Nottingham 2006-08-04 16:13:00 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.